# Ribbon Types

Ribbon Types

 - [GET /ribbonTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/listribbontypes.md): This method will scan all ribbon types and and return them to the caller.
 - [POST /ribbonTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/createribbontype.md): This method will auto-generate an ID and create a new ribbon type. If an ID is specified for the ribbon type, an error will be thrown.
 - [POST /ribbonTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /ribbonTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/deleteribbontype.md): This method will delete a ribbon type with the specified ID.
 - [GET /ribbonTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/getribbontype.md): This method will look up a ribbon type by the specified ID and return it back.
 - [PATCH /ribbonTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/patchribbontype.md): This method will patch an existing ribbon type with the specified ID, using the HTTP PATCH specification.
 - [PUT /ribbonTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/ribbon-types/updateribbontype.md): This method will update an existing ribbon type with the specified ID.
